// gnome.xonotic.in.ua

flareshader-lava
{
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate 12
	}
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate -5
	}
}

flareshader-portal
{
	{
		clampmap textures/flares/portalflare.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate 9
		tcmod stretch sin 0.5 -0.5 0 0.2
	}
	{
		clampmap textures/flares/portalflare.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate -17
		tcmod stretch sin 0 1 0 0.2
	}
	{
		clampmap textures/flares/flarey.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate 1
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_floor/clangdark
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/e7/e7beam01
{
	{
		map textures/e7/e7beam01.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met2.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 2 4
		detail
	}
}

textures/e7/e7bricks01
{
	{
		map textures/e7/e7bricks01.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/e7/e7brnmetal
{
	{
		map textures/e7/e7brnmetal.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met2.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/e7/e7walldesign01b
{
	{
		map textures/e7/e7walldesign01b.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 16
		detail
	}
}

textures/e8/e8_base1
{
	{
		map textures/e8/e8_base1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/e8/e8_base1broke
{
	q3map_nonplanar
	q3map_shadeangle 75
	{
		map textures/e8/e8_base1broke
		rgbgen vertex
	}
}

textures/evil1_grates/flrgrt_h
{
	qer_editorimage textures/evil1_grates/flrgrt_h.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	nomipmaps
	{
		map textures/evil1_grates/flrgrt_h.tga
		alphafunc gt0
		rgbgen vertex
	}
}

textures/evil1_trims/crude_warn
{
	{
		map textures/evil1_trims/crude_warn.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 4 2
		detail
	}
}

textures/evil1_trims/trim_cementwall_wrn
{
	{
		map textures/evil1_trims/trim_cementwall_wrn.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 4 2
		detail
	}
}

textures/evil1_trims/trim_wallpaper
{
	{
		map textures/evil1_trims/trim_wallpaper.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 4 2
		detail
	}
}

textures/evil3_floors/cemdrk
{
	{
		map textures/evil3_floors/cemdrk.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/evil8_fx/e8jumpspawn02red
{
	q3map_lightimage textures/evil8_fx/e8jumpspawn02red_glow.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/evil8_fx/e8jumpspawn02red
		animmap 10 textures/evil8_fx/e8jumpspawn02red textures/evil8_fx/e8jumpspawn02red-1 textures/evil8_fx/e8jumpspawn02red-2 textures/evil8_fx/e8jumpspawn02red-3 textures/evil8_fx/e8jumpspawn02red-4 textures/evil8_fx/e8jumpspawn02red-5 textures/evil8_fx/e8jumpspawn02red-6
	}
	{
		map $lightmap
		tcgen lightmap
		blendfunc filter
	}
}

textures/evil8_wall/e8crete03c
{
	{
		map textures/evil8_wall/e8crete03c.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/flares/lava
{
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate 12
	}
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate -5
	}
}

textures/gothic_floor/largerblock3b3dim
{
	{
		map textures/gothic_floor/largerblock3b3dim.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_stone.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 12 12
		detail
	}
}

textures/liquids/lavahell_750
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 500
	cull disable
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/savdm6ish/#teleport
{
	qer_editorimage textures/savdm6ish/#teleport.tga
	qer_nocarve
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 1000
	cull disable
	{
		map textures/savdm6ish/#teleport.tga
		tcmod turb 0 0.2 0 0.04
	}
}

textures/sfx/flame1km
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 4000
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame1.tga
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flameflare
{
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate 57
	}
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate -95
	}
}

textures/skies/nitesky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightsubdivide 256
	q3map_surfacelight 20
	q3map_globaltexture
	q3map_sun 0.333333 0.45098 0.576471 155 360 90
	skyparms env/box365/box365 - -
}

